#ifndef libmpeg_audiodec_FillPlugins_h
#define libmpeg_audiodec_FillPlugins_h
#include <infotypes.h>
#include <config.h>

static void libmpeg_audiodec_FillPlugins(std::vector<CodecInfo>& audiocodecs)
{
    static const int mpeg_codecs[] = { 0x50, 0x55, 0 };
    static const char none_about_ad[] = "";
    audiocodecs.push_back(CodecInfo(mpeg_codecs, "MPEG Layer-3", "",
				    none_about_ad, CodecInfo::Plugin,
				    CodecInfo::Audio, CodecInfo::Decode));
}

#endif
