#ifndef LIBMP3LAME_FILLPLUGINS_H
#define LIBMP3LAME_FILLPLUGINS_H

#include <infotypes.h>

static void libmp3lame_FillPlugins(std::vector<CodecInfo>& ci)
{
    static const int mp3_codecs[] = { 0x55, 0 };
    static const char mp3_about[] =
	"Open-source MPEG layer-3 encoder, based on Lame Encoder 3.70.";
    ci.push_back(CodecInfo(mp3_codecs, "Lame MPEG layer-3 encoder", "",
			   mp3_about, CodecInfo::Plugin, CodecInfo::Audio));
}

#endif
