#ifndef LIBMP3LAMEBIN_FILLPLUGINS_H
#define LIBMP3LAMEBIN_FILLPLUGINS_H

#include <infotypes.h>

static void libmp3lamebin_FillPlugins(std::vector<CodecInfo>& ci)
{
    static const int mp3_codecs[] = { 0x55, 0 };
    static const char mp3_about[] =
	"Open-source MPEG layer-3 encoder, based on you currently installed lame";
    ci.push_back(CodecInfo(mp3_codecs, "Lame MPEG layer-3 encoder (runtime)", "",
			   mp3_about, CodecInfo::Plugin, CodecInfo::Audio,
			   CodecInfo::Encode));
}

#endif
